import mill._, scalalib._

trait ServerModule extends ScalaModule {
    override final def scalaVersion = "3.2.0"
}

object Core extends ServerModule {
    override def ivyDeps = Agg(
        ivy"dev.zio::zio:2.0.6",
        ivy"dev.zio::zio-test:2.0.6",
        ivy"dev.zio::zio-json:0.4.2",
    
        ivy"org.apache.logging.log4j:log4j-slf4j-impl:2.19.0"
    )
}

object API extends ServerModule {
    override def ivyDeps = Agg(
        ivy"dev.zio::zio-http:0.0.3",
    
        ivy"org.apache.logging.log4j:log4j-slf4j-impl:2.19.0"
    )
}

object DB extends ServerModule {
    override def ivyDeps = Agg(
        ivy"io.getquill::quill-jdbc-zio:4.6.0",
    
        ivy"org.apache.logging.log4j:log4j-slf4j-impl:2.19.0"
    )
}